> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/43.-query-get-fields.md).

# 43. Sorgu: "Fields"i getir

Kullanıcı "Fields" öğelerini şu ölçütlere göre filtreleyerek almak için sorgu: `labels`, `farmUuid`, `fieldUuid`, `fieldName`. Döndürülen tarlalar, tarla adına göre alfabetik sıradadır.

Tarla filtresi AND koşulu gibi çalışır. Örneğin şu ölçütlere göre filtreleme yapabilirsiniz: `farmUuid` ve `fieldUuid` ve `labels` ve `fieldName` tek bir sorguda; yalnızca bir filtre koşulu da kullanabilir veya hiç koşul kullanmayabilirsiniz.

Şuna göre filtreleme: `fieldName` şu şekilde çalışır: `begins_with`.

Sayfalama mantığını uygulamak için şu sorgu parametresini kullanın: `pageSize`. Yanıtta `lastEvaluatedKey` ve `totalCount` alanları bulunur. Burada `lastEvaluatedKey` filtre koşuluyla eşleşen son işlenen kaydı ifade eder ve `totalCount` filtreleme koşullarıyla eşleşen toplam kayıt sayısını belirtir.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      name
      labels {
        name
        value
      }
      totalCount
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-requests-overview/43.-query-get-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
